set memory 8m
use "...", clear

*This is a replication dataset for the Lujala, Gleditsch and Gilmore article "A Diamond Curse? Civil War and a Lootable Resource"

*This do-file replicates the results in tables 1 and 3-5

*Following diamond variables were added to the original Fearon and Laitin dataset (published in APSR 2003) 

	*DIAD		diamonds discovered, coded 1 for first discovery year and every subsequent year
	*DIAP		diamonds produced, coded 1 for first production year and every subsequent year
	*PDIAD	primary diamonds discovered, coded 1 for first discovery year and every subsequent year
	*PDIAP	primary diamonds produced, coded 1 for first production year and every subsequent year
	*SDIAD	secondary diamonds discovered, coded 1 for first discovery year and every subsequent year
	*SDIAP	secondary diamonds produced, coded 1 for first production year and every subsequent year

* Table 1, bivariate analysis with FL onset
logit onset DIAD
logit onset DIAP
logit onset PDIAD
logit onset PDIAP
logit onset SDIAD
logit onset SDIAP

*TABLE 3, multivariate FL onset
*M1: replication of FL model
logit onset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac ,nolog
*M2: M1 PDIAP and SDIAP (dummies for primary and secondary diamond production) 
logit onset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3,nolog cl(ccode)
*M3: FL model adjusted for incidence of conflict 
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac peaceyrs _spline1 _spline2 _spline3,nolog cluster(ccode)
*M4: M3 with diamond production dummies
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3,nolog cl(ccode)
*M5: M4 with interaction SDIAP*Ethnic fractionalizaation
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP  SDIAP_ethfrac peaceyrs _spline1 _spline2 _spline3,nolog cl(ccode)

*TABLE 4; Ethnic coflict
*M6; replication of FL ethnic model, without splines and clustering
logit ethonset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac if second > .049999,nolog
*M7; with PDIAP and SDIAP 
logit ethonset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)
*M 8; w PDIAP and SDIAP and SDAIP_ethfrac (interaction Secodary diamond production and ethnic fractionalization
logit ethonset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP  SDIAP_ethfrac peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)
*M9; ethnic war incidence, base model 
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cl(ccode)
*M10; w SDIAP and PDIAP
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)
*M11; w interaction GDP
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP PDIAP_gdpenl SDIAP_gdpenl peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)

*TABLE 5, 1945-1999 vs post-1985
*DIAMOND PRODUCTION, onset  
logit onset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cluster(ccode)
logit onset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3,nolog cluster(ccode)
logit onset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP  peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cl(ccode)
logit onset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3,nolog cl(ccode)
*DIAMOND PRODUCTION, incidence  
logit war  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cluster(ccode)
logit war  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3,nolog cluster(ccode)
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP  peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cl(ccode)
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3 ,nolog cl(ccode)
*DIAMOND PRODUCTION, ethnic onset  
logit ethonset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3 if year > 1984 & second > .049999,nolog cluster(ccode)
logit ethonset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)
logit ethonset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP  peaceyrs _spline1 _spline2 _spline3 if year > 1984 & second > .049999,nolog cl(ccode)
logit ethonset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3  if second > .049999,nolog cl(ccode)
*DIAMOND PRODUCTION, ethnic incidence  
logit ethinciden  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3 if year > 1984  & second > .049999,nolog cluster(ccode)
logit ethinciden  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAP peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP  peaceyrs _spline1 _spline2 _spline3 if year > 1984 & second > .049999,nolog cl(ccode)
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAP SDIAP peaceyrs _spline1 _spline2 _spline3 if  second > .049999,nolog cl(ccode)

*DIAMOND PRESENCE, Onset 
logit onset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cluster(ccode)
logit onset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3,nolog cluster(ccode)
logit onset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cl(ccode)
logit onset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD peaceyrs _spline1 _spline2 _spline3 ,nolog cl(ccode)
*DIAMOND PRESENCE, incidence  
logit war  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cluster(ccode)
logit war  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 ,nolog cluster(ccode)
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD  peaceyrs _spline1 _spline2 _spline3 if year > 1984,nolog cl(ccode)
logit war warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD peaceyrs _spline1 _spline2 _spline3 ,nolog cl(ccode)
*DIAMOND PRESENCE, ethnic onset  
logit ethonset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 if year > 1984  & second > .049999,nolog cluster(ccode)
logit ethonset  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cluster(ccode)
logit ethonset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD  peaceyrs _spline1 _spline2 _spline3 if year > 1984  & second > .049999,nolog cl(ccode)
logit ethonset warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD peaceyrs _spline1 _spline2 _spline3 if second > .049999,nolog cl(ccode)
*DIAMOND PRESENCE, ethnic incidence
logit ethinciden  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 if year > 1984  & second > .049999,nolog cluster(ccode)
logit ethinciden  warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac DIAD peaceyrs _spline1 _spline2 _spline3 if  second > .049999,nolog cluster(ccode)
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD peaceyrs _spline1 _spline2 _spline3 if year > 1984 & second > .049999,nolog cl(ccode)
logit ethinciden warl gdpenl lpopl lmtnest ncontig Oil nwstate instab polity2l ethfrac relfrac PDIAD SDIAD peaceyrs _spline1 _spline2 _spline3  if second > .049999,nolog cl(ccode)




